Project

General

Profile

Actions

バグ #590

closed

ruby-gnome2に含まれるgemの関数名変更の影響でbundle installしただけだと落ちる

Added by コスモ 虹川 over 8 years ago. Updated over 8 years ago.

Status:
終了
Priority:
通常
Target version:
プラグイン名:
ブランチ:
クラッシュする:

Description

ruby-glib2の関数が
GLib.prepend_environment_path()
から
GLib.prepend_dll_path()
に変更されているため、
release-0.2.2ブランチから取ってきたmikutterは
そのままだとbundle installした後に起動できない。

対策としては
https://github.com/ruby-gnome2/ruby-gnome2/commit/29d02ade93114d9c7bda132ab5dd99ff7f1aaf6a#gtk2
のコミットに対応があるので
mikutter/core/plugin/gtk/Gemfileのgtk2バージョン指定を上げる。


Files

gtk2_Gemfile.patch (248 Bytes) gtk2_Gemfile.patch コスモ 虹川, 2013-05-13 21:04
Actions #1

Updated by toshi_a 初音 over 8 years ago

  • Tracker changed from 機能 to バグ
  • Status changed from 新規 to 実装待ち
  • Assignee changed from コスモ 虹川 to toshi_a 初音

確認出来ました

Actions #2

Updated by toshi_a 初音 over 8 years ago

  • Status changed from 実装待ち to 終了
  • % Done changed from 0 to 100

更新履歴 beff865f4b1a4e4e5d0273176d1eea48dca96a77 で適用されました。

Actions #3

Updated by toshi_a 初音 over 8 years ago

最新のRuby gtk2で問題なく動作するようなので、2.0.2以上を指定しました。

Actions

Also available in: Atom PDF